Module | Sequel::Plugins::Caching::InstanceMethods
In: | lib/sequel/plugins/caching.rb

### Methods

before_update cache_key delete

### Public Instance methods

before_update()

Remove the object from the cache when updating

[Source]

         # File lib/sequel/plugins/caching.rb, line 128
    128:         def before_update
    129:           cache_delete
    130:           super
    131:         end

cache_key()

Return a key unique to the underlying record for caching, based on the primary key value(s) for the object. If the model does not have a primary key, raise an Error.

[Source]

         # File lib/sequel/plugins/caching.rb, line 136
    136:         def cache_key
    137:           model.cache_key(pk)
    138:         end

delete()

Remove the object from the cache when deleting

[Source]

         # File lib/sequel/plugins/caching.rb, line 141
    141:         def delete
    142:           cache_delete
    143:           super
    144:         end

[Validate]